library(aqp)
library(plyr)
library(dplyr)
library(tidyr)



city_all <- read.csv("~/Dropbox (BOSTON UNIVERSITY)/EPA work/Carbon in Cities/R/CarbonInCities/MASTER_UrbanHorizonLevelDB.csv")
ref_all <- read.csv("~/Dropbox (BOSTON UNIVERSITY)/EPA work/Carbon in Cities/R/CarbonInCities/OSDPedonDB_Master.csv")

#use the predictve model to convert value to carbon content for urban soils and reference soils
ref_all$mod.Carbon<-exp(5.06912-0.58196*ref_all$Value)

city_all$mod.Carbon<-exp(5.06912-0.58196*city_all$Value)



#slab the data so we have 1-cm slices of each core
city_all->City_C
unite(City_C,"city_id",c(City_Name,SamplePoint_ID),sep="_",remove=F)->City_C
depths(City_C)<-SamplePoint_ID~top + bottom
site(City_C) <- ~ city_id
Carbon_City_Slabbed<-(slab(City_C, city_id ~ mod.Carbon,slab.structure=c(0:150),slab.fun=mean))
write.table(Carbon_City_Slabbed,
            "Carbon_City_Slabbed.csv",
            sep=",", col.names = NA)

#slab the data so we have 1-cm slices of each core
ref_all->Ref_C
unite(Ref_C,"ref_id",c(City_Name,SamplePoint_ID),sep="_",remove=F)->Ref_C
depths(Ref_C)<-SamplePoint_ID~top+bottom
site(Ref_C) <- ~ ref_id
Carbon_Ref_Slabbed<-(slab(Ref_C, ref_id ~ mod.Carbon,slab.structure=c(0:150),slab.fun=mean))
write.table(Carbon_Ref_Slabbed,
            "Carbon_Ref_Slabbed.csv",
            sep=",", col.names = NA)